/*----------------------------------------------------------*/
/*    Copyright (C) Siemens AG (1999). All Rights Reserved	*/
/*    Product:          SIMATIC PDM							*/
/*                                                          */
/*    Device:           P&F LB/FB-REMOTE IO                 */
/*    Description:		Menu Bar Buskoppler					*/
/*												            */
/*    Dictionary:       PFDP_DC_V6.dct                      */
/*                                                          */
/*  $Revision:   1.14  $                                    */
/*  $Date:   26 Feb 2000 17:21:06  $                        */
/*----------------------------------------------------------*/


/*******************************************************************************/
/*****	Menu Bar	************************************************************/
/*******************************************************************************/

MENU Menu_Main_Specialist
{
	LABEL		[main_menu];
	ITEMS
	{
		Menu_File,
		Menu_S_Device,
		Menu_View,
		Menu_Options,
		Menu_Help
	}
}

MENU Menu_Main_Maintenance
{
	LABEL		[main_menu];
	ITEMS
	{
		Menu_File,
		Menu_M_Device,
		Menu_View,
		Menu_Options,
		Menu_Help
	}
}


/*---------------------------------------------------------------------*/
/*    Menu: Device													   */
/*---------------------------------------------------------------------*/

MENU Menu_S_Device
{
	LABEL		[menu_Device];
	ITEMS
	{
        std_CommWay,
		std_NodeAddress,
		//SEPARATOR,
		std_LoadinDevice,										
		std_LoadinPC,											
		SEPARATOR,
		//std_LoadAllinDevice,										
		//std_LoadAllinPC,											
		//SEPARATOR,
		//Menu_Device_Service
		OnlineWindow_Device_Service
	}
}

MENU Menu_M_Device
{
	LABEL		[menu_Device];
	ITEMS
	{
		std_LoadinDevice,										
		std_LoadinPC,											
		SEPARATOR,
		std_LoadAllinDevice,										
		std_LoadAllinPC
	}
}

METHOD std_CommWay
{
	LABEL		[menu_Device_CommWay];
	DEFINITION
	{
	}
}

METHOD std_NodeAddress
{
	LABEL		[menu_Device_NodeAddress];
	DEFINITION
	{
	}
}

METHOD std_LoadinDevice
{
	LABEL		[menu_Device_LoadinDevice];
	DEFINITION
	{
	}
}

METHOD std_LoadinPC
{
	LABEL		[menu_Device_LoadinPC];
	DEFINITION
	{
	}
}

METHOD std_LoadAllinDevice
{
	LABEL		[menu_Device_LoadinDevice_All];
	DEFINITION
	{
	}
}

METHOD std_LoadAllinPC
{
	LABEL		[menu_Device_LoadinPC_All];
	DEFINITION
	{
	}
}

/*---------------------------------------------------------------------*/
/*    Menu: View													   */
/*---------------------------------------------------------------------*/

MENU Menu_View
{
	LABEL		[menu_View];
	ITEMS
	{
		OnlineWindow_display,
		OnlineWindow_diagnosis_2,
		OnlineWindow_param_state,
		OnlineWindow_PowerOption,
		SEPARATOR,
		std_Funktionsleiste,
		std_Statuszeile,
		SEPARATOR,
		std_Update
	}
}

METHOD std_Funktionsleiste
{
	LABEL		[menu_View_Toolbar];
	DEFINITION
	{
	}
}

METHOD std_Statuszeile
{
	LABEL		[menu_View_Statusbar];
	DEFINITION
	{
	}
}

METHOD std_Update
{
	LABEL		[menu_View_Update];
	DEFINITION
	{
	}
}


