/*----------------------------------------------------------*/
/*    Copyright (C) Siemens AG (1999). All Rights Reserved	*/
/*    Product:          SIMATIC PDM                         */
/*                                                          */
/*    Device:           P&F LB/FB-REMOTE IO                 */
/*    Description:      Binreingang 3 Kanle               */
/*                      Namur				                */
/*    Dictionary:       PFDP_DC_V6.dct                      */
/*                                                          */
/*  $Revision:   1.15  $                                    */
/*  $Date:   04 Dec 1999 18:58:18  $                        */
/*----------------------------------------------------------*/

/*******************************************************************************/
/*****	Variables Kanal3	****************************************************/
/*******************************************************************************/

DI3C01_P3_Slot3				LIKE VARIABLE	P0_Slot0
{
}

DI3C01_P3_Index3			LIKE VARIABLE	DI2C01_P1_Index1
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
			DEFAULT_VALUE 3;
	}
}

DI3C01_P3_Tag				LIKE VARIABLE	DI2C01_P1_Tag
{
}

DI3C01_P3_State				LIKE VARIABLE	DI2C01_P1_State
{
}

DI3C01_P3_ErrMode			LIKE VARIABLE	DI2C01_P1_ErrMode
{
}

DI3C01_P3_SimVal_Data		LIKE VARIABLE	DI2C01_P1_SimVal_Data
{
}

DI3C01_P3_SimVal_State		LIKE VARIABLE	DI2C01_P1_SimVal_State
{
}

DI3C01_P3_SimVal_Bit2_7		LIKE VARIABLE	DI2C01_P1_SimVal_Bit2_7
{
}

DI3C01_P3_ErrVal_Data		LIKE VARIABLE	DI2C01_P1_ErrVal_Data
{
}

DI3C01_P3_ErrVal_State		LIKE VARIABLE	DI2C01_P1_ErrVal_State
{
}

DI3C01_P3_ErrVal_Bit2_7		LIKE VARIABLE	DI2C01_P1_ErrVal_Bit2_7
{
}

DI3C01_P3_Option_Invert		LIKE VARIABLE	DI2C01_P1_Option_Invert
{
}

DI3C01_P3_Option_Leitung	LIKE VARIABLE	DI2C01_P1_Option_Leitung
{
}

DI3C01_P3_Option_Bit2_14	LIKE VARIABLE	DI2C01_P1_Option_Bit2_14
{
}

DI3C01_P3_Option_Kanal		LIKE VARIABLE	DI2C01_P1_Option_Kanal
{
}

DI3C01_P3_OnDelay			LIKE VARIABLE	DI2C01_P1_OnDelay
{
}

DI3C01_P3_OffDelay			LIKE VARIABLE	DI2C01_P1_OffDelay
{
}

DI3C01_P3_Map				LIKE VARIABLE	DI2C01_P1_Map
{
}

DI3C01_P3_DUMMY				LIKE VARIABLE	DI2C01_P1_DUMMY
{
}

/*******************************************************************************/
/*****	COMMAND				*****************************************************/
/*******************************************************************************/


#define DOWNLOAD_DI3C01					\
			P0_Slot0,					\
			P0_Index0,					\
			P0_Tag,						\
			P0_Type,					\
			P0_Channel,					\
			P0_Sector,					\
			P0_Option,					\
			P0_Revision,				\
			P0_Size,					\
			P0_CfgMode,					\
			DI2C01_P1_Slot1,			\
			DI2C01_P1_Index1,			\
			DI2C01_P1_Tag,				\
			DI2C01_P1_State,			\
			DI2C01_P1_ErrMode,			\
			DI2C01_P1_SimVal_Data,		\
			DI2C01_P1_SimVal_State,		\
			DI2C01_P1_ErrVal_State,		\
			DI2C01_P1_ErrVal_Data,		\
			DI2C01_P1_Option_Invert,	\
			DI2C01_P1_Option_Leitung,	\
			DI2C01_P1_Option_Kanal,		\
			DI2C01_P1_OnDelay,			\
			DI2C01_P1_OffDelay,			\
			DI2C01_P2_Slot2,			\
			DI2C01_P2_Index2,			\
			DI2C01_P2_Tag,				\
			DI2C01_P2_State,			\
			DI2C01_P2_ErrMode,			\
			DI2C01_P2_SimVal_Data,		\
			DI2C01_P2_SimVal_State,		\
			DI2C01_P2_ErrVal_State,		\
			DI2C01_P2_ErrVal_Data,		\
			DI2C01_P2_Option_Invert,	\
			DI2C01_P2_Option_Leitung,	\
			DI2C01_P2_Option_Kanal,		\
			DI2C01_P2_OnDelay,			\
			DI2C01_P2_OffDelay,			\
			DI3C01_P3_Slot3,			\
			DI3C01_P3_Index3,			\
			DI3C01_P3_Tag,				\
			DI3C01_P3_State,			\
			DI3C01_P3_ErrMode,			\
			DI3C01_P3_SimVal_Data,		\
			DI3C01_P3_SimVal_State,		\
			DI3C01_P3_ErrVal_Data,		\
			DI3C01_P3_ErrVal_State,		\
			DI3C01_P3_Option_Invert,	\
			DI3C01_P3_Option_Leitung,	\
			DI3C01_P3_Option_Kanal,		\
			DI3C01_P3_OnDelay,			\
			DI3C01_P3_OffDelay

#define UPLOAD_DI3C01					\
			P0_Slot0,					\
			P0_Index0,					\
			P0_Tag,						\
			P0_Type,					\
			P0_Channel,					\
			P0_Sector,					\
			P0_Option,					\
			P0_Size,					\
			P0_CfgMode,					\
			DI2C01_P1_Slot1,			\
			DI2C01_P1_Index1,			\
			DI2C01_P1_Tag,				\
			DI2C01_P1_State,			\
			DI2C01_P1_ErrMode,			\
			DI2C01_P1_SimVal_Data,		\
			DI2C01_P1_SimVal_State,		\
			DI2C01_P1_ErrVal_State,		\
			DI2C01_P1_ErrVal_Data,		\
			DI2C01_P1_Option_Invert,	\
			DI2C01_P1_Option_Leitung,	\
			DI2C01_P1_OnDelay,			\
			DI2C01_P1_OffDelay,			\
			DI2C01_P2_Slot2,			\
			DI2C01_P2_Index2,			\
			DI2C01_P2_Tag,				\
			DI2C01_P2_State,			\
			DI2C01_P2_ErrMode,			\
			DI2C01_P2_SimVal_Data,		\
			DI2C01_P2_SimVal_State,		\
			DI2C01_P2_ErrVal_State,		\
			DI2C01_P2_ErrVal_Data,		\
			DI2C01_P2_Option_Invert,	\
			DI2C01_P2_Option_Leitung,	\
			DI2C01_P2_OnDelay,			\
			DI2C01_P2_OffDelay,			\
			DI3C01_P3_Slot3,			\
			DI3C01_P3_Index3,			\
			DI3C01_P3_Tag,				\
			DI3C01_P3_State,			\
			DI3C01_P3_ErrMode,			\
			DI3C01_P3_SimVal_Data,		\
			DI3C01_P3_SimVal_State,		\
			DI3C01_P3_ErrVal_Data,		\
			DI3C01_P3_ErrVal_State,		\
			DI3C01_P3_Option_Invert,	\
			DI3C01_P3_Option_Leitung,	\
			DI3C01_P3_OnDelay,			\
			DI3C01_P3_OffDelay


COMMAND read_DI3C01_index3
{
	SLOT		Loc_P0_Slot0;
	INDEX		3;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			DI3C01_P3_Slot3,
			DI3C01_P3_Index3,
			DI3C01_P3_Tag,
			DI3C01_P3_State,
			DI3C01_P3_ErrMode,
			DI3C01_P3_SimVal_Bit2_7		<0xFC>,
			DI3C01_P3_SimVal_State		<0x02>,
			DI3C01_P3_SimVal_Data		<0x01>,
			DI3C01_P3_ErrVal_Bit2_7		<0xFC>,
			DI3C01_P3_ErrVal_State		<0x02>,
			DI3C01_P3_ErrVal_Data		<0x01>,
			DI3C01_P3_Option_Kanal		<0x8000>,
			DI3C01_P3_Option_Bit2_14	<0x7FFC>,
			DI3C01_P3_Option_Leitung	<0x0002>,
			DI3C01_P3_Option_Invert		<0x0001>,
			DI3C01_P3_OnDelay, 
			DI3C01_P3_OffDelay,
			DI3C01_P3_DUMMY,
			DI3C01_P3_Map
		}
	}
}

COMMAND write_DI3C01_index3
{
	SLOT		Loc_P0_Slot0;
	INDEX		3;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			DI3C01_P3_Slot3,
			DI3C01_P3_Index3,
			DI3C01_P3_Tag,
			DI3C01_P3_State,
			DI3C01_P3_ErrMode,
			DI3C01_P3_SimVal_Bit2_7		<0xFC>,
			DI3C01_P3_SimVal_State		<0x02>,
			DI3C01_P3_SimVal_Data		<0x01>,
			DI3C01_P3_ErrVal_Bit2_7		<0xFC>,
			DI3C01_P3_ErrVal_State		<0x02>,
			DI3C01_P3_ErrVal_Data		<0x01>,
//			DI3C01_P3_Option_Kanal		<0x8000>,
			DI3C01_P3_Option_Bit2_14	<0xFFFC>,
			DI3C01_P3_Option_Leitung	<0x0002>,
			DI3C01_P3_Option_Invert		<0x0001>,
			DI3C01_P3_OnDelay, 
			DI3C01_P3_OffDelay,
			0, 0, 0, 0, 0, 0, 0, 0,			0, 0, 0, 0, 0, 0, 0, 0,				//20 Byte
			0, 0, 0, 0
		}
		REPLY
		{
		}
	}
}

/*******************************************************************************/
/*****	Table: Specialist  *****************************************************/
/*******************************************************************************/

/*******************************************************************************/
/*****	 Kanal1	****************************************************************/
/*******************************************************************************/

MENU Tab_s_DI3C01_kanal1
{
	LABEL		[menu_kanal1];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DI3C01_ident_k1,
		Tab_s_DI3C01_input_k1
	}
}

MENU Tab_s_DI3C01_ident_k1
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P1_Tag,
		DI2C01_P1_Option_Kanal

	}
}

MENU Tab_s_DI3C01_input_k1
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P1_State,
		DI2C01_P1_ErrMode,
		DI2C01_P1_Option_Invert,
		DI2C01_P1_Option_Leitung,
		Tab_s_DI3C01_input_verzoegerung_k1,
		Tab_s_DI3C01_input_simulation_k1,
		Tab_s_DI3C01_input_ersatzwert_k1
	}
}

MENU Tab_s_DI3C01_input_verzoegerung_k1
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P1_OnDelay,
		DI2C01_P1_OffDelay
	}
}

MENU Tab_s_DI3C01_input_simulation_k1
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P1_SimVal_Data,
		DI2C01_P1_SimVal_State
	}
	VALIDITY	VALID_IF_TRUE (DI2C01_P1_State == 1)
}

MENU Tab_s_DI3C01_input_ersatzwert_k1
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P1_ErrVal_Data,
		DI2C01_P1_ErrVal_State
	}
	VALIDITY	VALID_IF_TRUE (DI2C01_P1_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal2	****************************************************************/
/*******************************************************************************/

MENU Tab_s_DI3C01_kanal2
{
	LABEL		[menu_kanal2];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DI3C01_ident_k2,
		Tab_s_DI3C01_input_k2
	}
}

MENU Tab_s_DI3C01_ident_k2
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P2_Tag,
		DI2C01_P2_Option_Kanal

	}
}

MENU Tab_s_DI3C01_input_k2
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P2_State,
		DI2C01_P2_ErrMode,
		DI2C01_P2_Option_Invert,
		DI2C01_P2_Option_Leitung,
		Tab_s_DI3C01_input_verzoegerung_k2,
		Tab_s_DI3C01_input_simulation_k2,
		Tab_s_DI3C01_input_ersatzwert_k2
	}
}

MENU Tab_s_DI3C01_input_verzoegerung_k2
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P2_OnDelay,
		DI2C01_P2_OffDelay
	}
}

MENU Tab_s_DI3C01_input_simulation_k2
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P2_SimVal_Data,
		DI2C01_P2_SimVal_State
	}
	VALIDITY	VALID_IF_TRUE (DI2C01_P2_State == 1)
}

MENU Tab_s_DI3C01_input_ersatzwert_k2
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P2_ErrVal_Data,
		DI2C01_P2_ErrVal_State
	}
	VALIDITY	VALID_IF_TRUE (DI2C01_P2_ErrMode == 1)
}

MENU Tab_s_DI3C01_kanal3
{
	LABEL		[menu_kanal3];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DI3C01_ident_k3,
		Tab_s_DI3C01_input_k3
	}
}

/*******************************************************************************/
/*****	 Kanal3	****************************************************************/
/*******************************************************************************/

MENU Tab_s_DI3C01_ident_k3
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI3C01_P3_Tag,
		DI3C01_P3_Option_Kanal
	}
}

MENU Tab_s_DI3C01_input_k3
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI3C01_P3_State,
		DI3C01_P3_ErrMode,
		DI3C01_P3_Option_Invert,
		DI3C01_P3_Option_Leitung,
		Tab_s_DI3C01_input_verzoegerung_k3,
		Tab_s_DI3C01_input_simulation_k3,
		Tab_s_DI3C01_input_ersatzwert_k3
	}
}

MENU Tab_s_DI3C01_input_verzoegerung_k3
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI3C01_P3_OnDelay,
		DI3C01_P3_OffDelay
	}
}

MENU Tab_s_DI3C01_input_simulation_k3
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI3C01_P3_SimVal_Data,
		DI3C01_P3_SimVal_State
	}
	VALIDITY	VALID_IF_TRUE (DI3C01_P3_State == 1)
}

MENU Tab_s_DI3C01_input_ersatzwert_k3
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI3C01_P3_ErrVal_Data,
		DI3C01_P3_ErrVal_State
	}
	VALIDITY	VALID_IF_TRUE (DI3C01_P3_ErrMode == 1)
}


/*******************************************************************************/
/*****	Table: Maintenance  ****************************************************/
/*******************************************************************************/

/*******************************************************************************/
/*****	 Kanal1	****************************************************************/
/*******************************************************************************/

MENU Tab_m_DI3C01_kanal1
{
	LABEL		[menu_kanal1];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DI3C01_ident_k1,
		Tab_m_DI3C01_input_k1
	}
}

MENU Tab_m_DI3C01_ident_k1
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P1_Tag,
		DI2C01_P1_Option_Kanal				(READ_ONLY)
	}
}

MENU Tab_m_DI3C01_input_k1
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P1_State						(READ_ONLY),
		DI2C01_P1_ErrMode					(READ_ONLY),
		DI2C01_P1_Option_Invert				(READ_ONLY),
		DI2C01_P1_Option_Leitung			(READ_ONLY),
		Tab_m_DI3C01_input_verzoegerung_k1,
		Tab_m_DI3C01_input_simulation_k1,
		Tab_m_DI3C01_input_ersatzwert_k1
	}
}

MENU Tab_m_DI3C01_input_verzoegerung_k1
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P1_OnDelay					(READ_ONLY),
		DI2C01_P1_OffDelay					(READ_ONLY)
	}
}

MENU Tab_m_DI3C01_input_simulation_k1
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P1_SimVal_Data				(READ_ONLY),
		DI2C01_P1_SimVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI2C01_P1_State == 1)
}

MENU Tab_m_DI3C01_input_ersatzwert_k1
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P1_ErrVal_Data				(READ_ONLY),
		DI2C01_P1_ErrVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI2C01_P1_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal2	****************************************************************/
/*******************************************************************************/

MENU Tab_m_DI3C01_kanal2
{
	LABEL		[menu_kanal2];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DI3C01_ident_k2,
		Tab_m_DI3C01_input_k2
	}
}

MENU Tab_m_DI3C01_ident_k2
{
	LABEL		[menu_ident];
	ITEMS
	{
		DI2C01_P2_Tag,
		DI2C01_P2_Option_Kanal				(READ_ONLY)
	}
}

MENU Tab_m_DI3C01_input_k2
{
	LABEL		[menu_input];
	ITEMS
	{
		DI2C01_P2_State						(READ_ONLY),
		DI2C01_P2_ErrMode					(READ_ONLY),
		DI2C01_P2_Option_Invert				(READ_ONLY),
		DI2C01_P2_Option_Leitung			(READ_ONLY),
		Tab_m_DI3C01_input_verzoegerung_k2,
		Tab_m_DI3C01_input_simulation_k2,
		Tab_m_DI3C01_input_ersatzwert_k2
	}
}

MENU Tab_m_DI3C01_input_verzoegerung_k2
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P2_OnDelay					(READ_ONLY),
		DI2C01_P2_OffDelay					(READ_ONLY)
	}
}

MENU Tab_m_DI3C01_input_simulation_k2
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P2_SimVal_Data				(READ_ONLY),
		DI2C01_P2_SimVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI2C01_P2_State == 1)
}

MENU Tab_m_DI3C01_input_ersatzwert_k2
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P2_ErrVal_Data				(READ_ONLY),
		DI2C01_P2_ErrVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI2C01_P2_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal3	****************************************************************/
/*******************************************************************************/

MENU Tab_m_DI3C01_kanal3
{
	LABEL		[menu_kanal3];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DI3C01_ident_k3,
		Tab_m_DI3C01_input_k3
	}
}

MENU Tab_m_DI3C01_ident_k3
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI3C01_P3_Tag,
		DI3C01_P3_Option_Kanal				(READ_ONLY)
	}
}

MENU Tab_m_DI3C01_input_k3
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI3C01_P3_State						(READ_ONLY),
		DI3C01_P3_ErrMode					(READ_ONLY),
		DI3C01_P3_Option_Invert				(READ_ONLY),
		DI3C01_P3_Option_Leitung			(READ_ONLY),
		Tab_m_DI3C01_input_verzoegerung_k3,
		Tab_m_DI3C01_input_simulation_k3,
		Tab_m_DI3C01_input_ersatzwert_k3
	}
}

MENU Tab_m_DI3C01_input_verzoegerung_k3
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI3C01_P3_OnDelay					(READ_ONLY),
		DI3C01_P3_OffDelay					(READ_ONLY)
	}
}

MENU Tab_m_DI3C01_input_simulation_k3
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI3C01_P3_SimVal_Data				(READ_ONLY),
		DI3C01_P3_SimVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI3C01_P3_State == 1)
}

MENU Tab_m_DI3C01_input_ersatzwert_k3
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI3C01_P3_ErrVal_Data				(READ_ONLY),
		DI3C01_P3_ErrVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI3C01_P3_ErrMode == 1)
}
